Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
LayerPrintData Class Reference
Inheritance diagram for LayerPrintData:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (subtype, print_state)
| Constructor, with parameters. More...
| Set (subtype, print_state)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| print_state
| Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application. More...
| subtype
| A string that specifies the kind of content controlled by a layer.

## Detailed Description

This class represents data for PDF layer printing usage.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

LayerPrintData.constructor | ( | subtype | ,
|  | print_state |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | subtype | A string to specify the kind of content controlled by a layer.
  [in] | print_state | Layer usage state, indicating that the layer should be set to that state when the document is printed from a viewer application. Please refer to values starting from LayerTree.e_StateON and this should be one of these values except LayerTree.e_StateUnchanged.

## ◆ Set()

LayerPrintData.Set | ( | subtype | ,
|  | print_state |
| ) |  |

Set value.

Parameters

  [in] | subtype | A string to specify the kind of content controlled by a layer.
  [in] | print_state | Layer usage state, indicating that the layer should be set to that state when the document is printed from a viewer application. Please refer to values starting from LayerTree.e_StateON and this should be one of these values except LayerTree.e_StateUnchanged.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Data Documentation

## ◆ print_state

LayerPrintData.print_state

Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application.

Please refer to values starting from LayerTree.e_StateON and this should be one of these values except LayerTree.e_StateUnchanged.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.